Bug 100123 - Hyperlinks in A1 style misbehave when beginning with "C" (interpret "C" as column number)
Summary: Hyperlinks in A1 style misbehave when beginning with "C" (interpret "C" as co...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.1 target:5.1.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-05-29 15:57 UTC by Thomas Maeder
Modified: 2016-08-03 12:18 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of activating hyperlinks in B3, to #b5 (left, correct) and #c5 (right, incorrect) (371.23 KB, image/png)
2016-05-29 15:57 UTC, Thomas Maeder
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Maeder 2016-05-29 15:57:55 UTC
Created attachment 125378 [details]
Screenshot of activating hyperlinks in B3, to #b5 (left, correct) and #c5 (right, incorrect)

Steps to reproduce (see attached screenshot)

0) Check that A1 style is activated
1) Create new calc document (or use any open one)

A) Correct behaviour
A2) Enter internal Hyperlink in e.g. cell B3, to e.g. B5 ("#B5")
A3) Click hyperlink -> cell B5 correctly activates

B) Incorrect behaviour
B2) Enter internal Hyperlink in e.g. cell B3, to e.g. C5 ("#C5")
B3) Click hyperlink -> column E (i.e. column number 5) activates

Notes :
- Any other letter than "C" behaves apparently OK
- Behaviour same with entered hyperlink or with hyperlink formula
- Behaviour same with link inside same sheet or another one
-- Same sheet : e.g. "#C5" -> selects column E
-- Other sheet : e.g. "#sheet!c5" -> correct goes to sheet "sheet", otherwise same bug
- Bug already existent at least in 5.1.2
Comment 1 GerardF 2016-05-29 17:09:10 UTC
Reproducible with Version: 5.2.0.0.alpha1+
Build ID: 7b704dfbdb23540ff6366fa60c73474bbda9dc26
CPU Threads: 2; OS Version: Windows 6.0; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-05-20_05:45:40
Locale: fr-FR (fr_FR)

Works with 5.0.6.2

Letter C is understood by Calc as "Column".
Link to C5 go to 5th column, C10 to 10th column... etc
Same for R : Link to cell R10 go to row 10.
Comment 2 raal 2016-05-30 09:27:26 UTC
This seems to have begun at the below commit.
Adding Cc: to Markus ; Could you possibly take a look at this one? Thanks

0782aff02a7d65a009f634bd43cf0ecf2a6d4106 is the first bad commit
commit 0782aff02a7d65a009f634bd43cf0ecf2a6d4106
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sat Jul 11 12:25:57 2015 -0700

    source sha:106a4dc29980889c02faa526e5417b63fdce6c23

author	Markus Mohrhard <markus.mohrhard@googlemail.com>	2015-05-27 18:24:28 (GMT)
committer	Markus Mohrhard <markus.mohrhard@googlemail.com>	2015-05-27 18:41:45 (GMT)
commit	106a4dc29980889c02faa526e5417b63fdce6c23 (patch)
tree	c5c281809391df0dd95a05a452928334eeccf945
parent	5142c9226318019200ed6e055b4eb1503bd002db (diff)
support R1C1 reference for hyperlinks
Comment 3 Caolán McNamara 2016-08-03 08:59:15 UTC
How about https://gerrit.libreoffice.org/#/c/27821/ as a solution ?
Comment 4 Commit Notification 2016-08-03 10:06:24 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=405db7afbdba02eed9a9a4c4f22000fe623b029c

Resolves: tdf#100123 prefer notation priority in detecting range/address

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-08-03 12:18:43 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f45441144d7aacfb3e46b8b61f16886c4962d54&h=libreoffice-5-2

Resolves: tdf#100123 prefer notation priority in detecting range/address

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-08-03 12:18:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=00992771455dae0eb83b8c705ae648ad3683f0ef&h=libreoffice-5-1

Resolves: tdf#100123 prefer notation priority in detecting range/address

It will be available in 5.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.